> ## Documentation Index
> Fetch the complete documentation index at: https://gecko.security/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a repository



## OpenAPI

````yaml /api-reference/openapi.json get /repositories/{owner}/{repo}
openapi: 3.1.0
info:
  title: Gecko Security API
  version: 1.0.0
  description: >-
    Programmatic access to scans, vulnerabilities, repositories, schedules,
    webhooks, and scanner image releases. Authenticate with an API key via the
    `X-API-Key` header or `Authorization: Bearer <key>`.
servers:
  - url: https://app.gecko.security/api/v1
security:
  - ApiKeyHeader: []
  - BearerAuth: []
paths:
  /repositories/{owner}/{repo}:
    get:
      summary: Get a repository
      parameters:
        - name: owner
          in: path
          required: true
          schema:
            type: string
        - name: repo
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Repository'
        '401':
          description: Authentication error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Authorization error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Repository:
      $schema: https://json-schema.org/draft/2020-12/schema
      type: object
      properties:
        object:
          type: string
          const: repository
        id:
          type: string
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
        full_name:
          type: string
        name:
          type: string
        provider:
          type: string
        default_branch:
          type: string
        web_url:
          anyOf:
            - type: string
            - type: 'null'
        last_scan_at:
          anyOf:
            - type: string
            - type: 'null'
        scan_count:
          type: integer
          minimum: 0
          maximum: 9007199254740991
        open_vulnerability_counts:
          type: object
          properties:
            critical:
              type: integer
              minimum: 0
              maximum: 9007199254740991
            high:
              type: integer
              minimum: 0
              maximum: 9007199254740991
            medium:
              type: integer
              minimum: 0
              maximum: 9007199254740991
            low:
              type: integer
              minimum: 0
              maximum: 9007199254740991
          required:
            - critical
            - high
            - medium
            - low
          additionalProperties: false
        created_at:
          type: string
      required:
        - object
        - id
        - full_name
        - name
        - provider
        - default_branch
        - web_url
        - last_scan_at
        - scan_count
        - open_vulnerability_counts
        - created_at
      additionalProperties: false
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            type:
              type: string
            code:
              type: string
            message:
              type: string
            param:
              type: string
            doc_url:
              type: string
            request_id:
              type: string
          required:
            - type
            - code
            - message
            - doc_url
            - request_id
      required:
        - error
  securitySchemes:
    ApiKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    BearerAuth:
      type: http
      scheme: bearer

````